Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.framework
Class BusinessProcessController

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.BusinessProcessController

All Implemented Interfaces:
  Serializable

    public class BusinessProcessController

extends Controller

Superclass for controller objects that control the business process context programmatically. Adds convenience methods for control of the jBPM business process.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`BusinessProcessController()`

Method Summary
`protected BusinessProcess` | `getBusinessProcess()`
`protected org.jbpm.JbpmContext` | `getJbpmContext()`
`protected org.jbpm.graph.exe.ProcessInstance` | `getProcessInstance()`
`protected org.jbpm.taskmgmt.exe.TaskInstance` | `getTaskInstance()`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, debug, debug, error, error, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessProcessController

    public BusinessProcessController()

Method Detail

### getBusinessProcess

    protected BusinessProcess getBusinessProcess()

### getJbpmContext

    protected org.jbpm.JbpmContext getJbpmContext()

### getTaskInstance

    protected org.jbpm.taskmgmt.exe.TaskInstance getTaskInstance()

### getProcessInstance

    protected org.jbpm.graph.exe.ProcessInstance getProcessInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD